Bug 176548 - audio/musescore: Update to version 1.3
Summary: audio/musescore: Update to version 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-28 18:10 UTC by tkato432
Modified: 2013-03-26 07:40 UTC (History)
0 users

See Also:


Attachments
file.diff (8.33 KB, patch)
2013-02-28 18:10 UTC, tkato432
no flags Details | Diff
audio_musescore.diff (5.30 KB, patch)
2013-02-28 18:30 UTC, tkato432
no flags Details | Diff
audio_musescore.diff (6.50 KB, patch)
2013-03-06 17:45 UTC, tkato432
no flags Details | Diff
audio_musescore.diff (6.53 KB, patch)
2013-03-23 19:24 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-02-28 18:10:07 UTC
- Update to version 1.3
Comment 1 Edwin Groothuis freebsd_committer 2013-02-28 18:12:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

araujo@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2013-02-28 18:30:00 UTC
Here is the corrected patch.
Comment 3 Martin Wilke freebsd_committer 2013-03-01 15:02:12 UTC
Responsible Changed
From-To: araujo->miwi

I'll take it.
Comment 4 Martin Wilke freebsd_committer 2013-03-02 03:33:07 UTC
State Changed
From-To: open->feedback

fails with clang 
http://miwibox.org/tb/index.php?action=describe_port&id=1960
Comment 5 tkato432 2013-03-06 17:45:09 UTC
Here is the corrected patch.
Comment 6 tkato432 2013-03-23 19:24:50 UTC
Remake of the patch against current tree.
Comment 7 Martin Wilke freebsd_committer 2013-03-26 07:35:30 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2013-03-26 07:35:31 UTC
Author: miwi
Date: Tue Mar 26 07:35:22 2013
New Revision: 315265
URL: http://svnweb.freebsd.org/changeset/ports/315265

Log:
  - Update to version 1.3
  
  PR:		176548
  Submitted by:	ports fury

Added:
  head/audio/musescore/files/patch-mscore__mscore__rendermidi.cpp   (contents, props changed)
Modified:
  head/audio/musescore/Makefile
  head/audio/musescore/distinfo   (contents, props changed)
  head/audio/musescore/files/patch-mscore-CMakeLists.txt   (contents, props changed)
  head/audio/musescore/pkg-plist   (contents, props changed)

Modified: head/audio/musescore/Makefile
==============================================================================
--- head/audio/musescore/Makefile	Tue Mar 26 07:34:10 2013	(r315264)
+++ head/audio/musescore/Makefile	Tue Mar 26 07:35:22 2013	(r315265)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	musescore
-# Date created:		28 Jul 2011
-# Whom:			Dmitry Marakasov <amdmi3@FreeBSD.org>
-#
+# Created by: Dmitry Marakasov <amdmi3@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	musescore
-PORTVERSION=	1.2
+PORTVERSION=	1.3
 CATEGORIES=	audio
 MASTER_SITES=	SF/mscore/mscore/MuseScore-${PORTVERSION}
 DISTNAME=	mscore-${PORTVERSION}
@@ -23,11 +19,10 @@ RUN_DEPENDS=	qtscriptgenerator>0:${PORTS
 OPTIONS_DEFINE=	JACK PORTAUDIO
 OPTIONS_DEFAULT=PORTAUDIO
 
-USE_LDCONFIG=	yes
 USE_BZIP2=	yes
+USES=		cmake:outsource
 USE_QT4=	corelib designer gui network script scripttools svg webkit xml \
 		linguist_build moc_build qmake_build rcc_build uic_build
-USES=		cmake:outsource
 CMAKE_SOURCE_PATH=	${WRKSRC}/mscore
 CMAKE_ARGS=	-DBUILD_ALSA:BOOL=OFF
 ALL_TARGET=	lrelease all

Modified: head/audio/musescore/distinfo
==============================================================================
--- head/audio/musescore/distinfo	Tue Mar 26 07:34:10 2013	(r315264)
+++ head/audio/musescore/distinfo	Tue Mar 26 07:35:22 2013	(r315265)
@@ -1,2 +1,2 @@
-SHA256 (mscore-1.2.tar.bz2) = e7f6c6cd705381a4583db267acbfed2dc9ce3985b20ed5407cd9cfe208d74d81
-SIZE (mscore-1.2.tar.bz2) = 85739954
+SHA256 (mscore-1.3.tar.bz2) = a0b60cc892ac0266c58fc6392be72c0a21c3aa7fd0b6e4f1dddad1c8b36be683
+SIZE (mscore-1.3.tar.bz2) = 94704857

Modified: head/audio/musescore/files/patch-mscore-CMakeLists.txt
==============================================================================
--- head/audio/musescore/files/patch-mscore-CMakeLists.txt	Tue Mar 26 07:34:10 2013	(r315264)
+++ head/audio/musescore/files/patch-mscore-CMakeLists.txt	Tue Mar 26 07:35:22 2013	(r315265)
@@ -9,7 +9,7 @@
  set(STATIC_SCRIPT_BINDINGS FALSE)
  set(USE_SSE FALSE)
  
-@@ -147,6 +147,8 @@
+@@ -151,6 +151,8 @@
  ## alsa >= 1.0.0
  ##
  
@@ -18,7 +18,7 @@
  if (APPLE OR MINGW)
  	message("Disabling ALSA support due to OS X or MINGW build.")
        set (USE_ALSA 0)
-@@ -161,6 +163,11 @@
+@@ -165,6 +167,11 @@
              set (HAS_MIDI 1)
        endif (NOT ALSA_INCDIR)
  endif (APPLE OR MINGW)
@@ -30,7 +30,7 @@
  
  
  ##
-@@ -215,6 +222,8 @@
+@@ -219,6 +226,8 @@
  ## portaudio
  ##
  
@@ -39,7 +39,7 @@
  if (MINGW)
        set ( USE_PORTAUDIO 1 )
        set ( USE_PORTMIDI  1 )
-@@ -233,6 +242,9 @@
+@@ -237,6 +246,9 @@
        set (USE_PORTMIDI 0)
     endif (APPLE)
  endif (MINGW)
@@ -49,34 +49,29 @@
  
  ##
  ## produce config.h file
-@@ -254,7 +266,7 @@
+@@ -257,8 +269,8 @@
+    WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
     )
  
- set(CMAKE_CXX_FLAGS_DEBUG   "")
--set(CMAKE_CXX_FLAGS_RELEASE "-O3 -DNDEBUG")
-+set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG")
+-set(CMAKE_CXX_FLAGS_DEBUG   "-g")
+-set(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
++#set(CMAKE_CXX_FLAGS_DEBUG   "-g")
++#set(CMAKE_CXX_FLAGS_RELEASE "-O2 -DNDEBUG")
  
  if (CMAKE_BUILD_TYPE STREQUAL "DEBUG")
        if (MINGW)
-@@ -276,7 +288,7 @@
-       add_custom_command(
-          OUTPUT ${PROJECT_BINARY_DIR}/all.h.pch
-          COMMAND ${CMAKE_CXX_COMPILER}
--           -x c++-header -g ${FLAGS}
-+           -x c++-header ${FLAGS}
-            -I${QT_INCLUDE_DIR}
-            -o all.h.pch all.h
-          DEPENDS ${PROJECT_BINARY_DIR}/all.h
-@@ -287,7 +299,7 @@
-       add_custom_command(
-          OUTPUT ${PROJECT_BINARY_DIR}/all.h.gch
-          COMMAND ${CMAKE_CXX_COMPILER}
--           -x c++-header -g  ${FLAGS} -m32
-+           -x c++-header ${FLAGS}
-            -I${QT_HEADERS_DIR}
-            -o all.h.gch all.h
-          DEPENDS ${PROJECT_BINARY_DIR}/all.h
-@@ -324,9 +336,10 @@
+@@ -294,7 +306,9 @@
+ 
+ 
+ ADD_CUSTOM_TARGET(mops1 DEPENDS ${PROJECT_BINARY_DIR}/all.h)
+-ADD_CUSTOM_TARGET(mops2 DEPENDS ${PCH})
++if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
++ADD_CUSTOM_TARGET(mops2 DEPENDS ${PCH})
++endif (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
+ 
+ 
+ if (NOT MINGW AND NOT APPLE)
+@@ -321,9 +335,10 @@
     ${PROJECT_SOURCE_DIR}/mscore
     ${PROJECT_BINARY_DIR}
     ${PROJECT_BINARY_DIR}/mscore
@@ -88,7 +83,7 @@
  )
  
  ##
-@@ -421,8 +434,8 @@
+@@ -427,8 +442,8 @@
  
  add_custom_target(lrelease
     COMMAND ${PROJECT_SOURCE_DIR}/gen-qt-projectfile ${PROJECT_SOURCE_DIR} > mscore.pro

Added: head/audio/musescore/files/patch-mscore__mscore__rendermidi.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/musescore/files/patch-mscore__mscore__rendermidi.cpp	Tue Mar 26 07:35:22 2013	(r315265)
@@ -0,0 +1,29 @@
+--- mscore/mscore/rendermidi.cpp.orig
++++ mscore/mscore/rendermidi.cpp
+@@ -553,7 +553,7 @@
+       int ns = nstaves();
+       
+ //ugly but clang cannot deal with 2/ while gcc4.6 can cope with 1/
+-#ifdef Q_WS_MAC
++#ifdef __clang__
+       QList<OttavaShiftSegment>* osl = new QList<OttavaShiftSegment>[ns];
+ #else
+       QList<OttavaShiftSegment> osl[ns];
+@@ -576,7 +576,7 @@
+       //    collect Dynamics
+       //
+ //ugly but clang cannot deal with 2/ while gcc4.6 can cope with 1/
+-#ifdef Q_WS_MAC
++#ifdef __clang__
+       VeloList *velo = new VeloList[ns];
+ #else
+       VeloList velo[ns];
+@@ -675,7 +675,7 @@
+                         }
+                   }
+             }
+-#ifdef Q_WS_MAC      
++#ifdef __clang__
+       delete[] velo;
+       delete[] osl;
+ #endif

Modified: head/audio/musescore/pkg-plist
==============================================================================
--- head/audio/musescore/pkg-plist	Tue Mar 26 07:34:10 2013	(r315264)
+++ head/audio/musescore/pkg-plist	Tue Mar 26 07:35:22 2013	(r315265)
@@ -120,12 +120,12 @@ share/applications/mscore.desktop
 %%DATADIR%%/man/MuseScore-ro.pdf
 %%DATADIR%%/man/MuseScore-ru.pdf
 %%DATADIR%%/man/MuseScore-zh_CN.pdf
-%%DATADIR%%/plugins/abc_import.js
+%%DATADIR%%/plugins/abc_import/abc_import.js
+%%DATADIR%%/plugins/abc_import/abc_import.ui
 %%DATADIR%%/plugins/break/break.js
 %%DATADIR%%/plugins/break/break.ui
 %%DATADIR%%/plugins/chordchart.js
 %%DATADIR%%/plugins/colornotes.js
-%%DATADIR%%/plugins/createscore.js
 %%DATADIR%%/plugins/musescore.com/README.txt
 %%DATADIR%%/plugins/musescore.com/icons/filesaveonline.svg
 %%DATADIR%%/plugins/musescore.com/musescore.com.js
@@ -197,6 +197,7 @@ share/pixmaps/mscore.xpm
 @dirrm %%DATADIR%%/plugins/musescore.com/icons
 @dirrm %%DATADIR%%/plugins/musescore.com
 @dirrm %%DATADIR%%/plugins/break
+@dirrm %%DATADIR%%/plugins/abc_import
 @dirrm %%DATADIR%%/plugins
 @dirrm %%DATADIR%%/man
 @dirrm %%DATADIR%%/locale
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"